(function() {

	Game_Player.prototype.executeMove = function(direction) {
		this.moveStraight(direction);
		
		var oldValue = $gameVariables.value( 1 );
		$gameVariables.setValue( 1, oldValue + 1 );
	};

})();